# WriteIter in embedded_hal::blocking::i2c - Rust
Blocking write (iterator version)
Keywords: rust, rustlang, rust-lang, WriteIter

# Trait embedded_hal::blocking::i2c::WriteIter

source · [−]

    pub trait WriteIter {
        type Error;
        fn try_write<B>(&mut self, addr: u8, bytes: B) -> Result<(), Self::Error>
        where
            B: IntoIterator<Item = u8>;
    }

Expand description

Blocking write (iterator version)

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_write<B>(&mut self, addr: u8, bytes: B) -> Result<(), Self::Error> where
B: IntoIterator<Item = u8>,

Sends bytes to slave with address `addr`

##### I2C Events (contract)

Same as `Write`

## Implementors